package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-05
 */
public class OperateRecord extends Model<OperateRecord> {

    private static final long serialVersionUID=1L;

    /**
     * 处置/维护记录表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 型号
     */
    @TableField("model_no")
    private String modelNo;

    /**
     * 操作人id
     */
    @TableField("user_id")
    private Integer userId;

    /**
     * 操作人名字
     */
    @TableField("user_name")
    private String userName;

    /**
     * 操作时间
     */
    @TableField("indate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime indate;

    /**
     * 处理内容
     */
    @TableField("content")
    private String content;

    /**
     * 商品id
     */
    @TableField("good_id")
    private Integer goodId;

    /**
     * 商品编号外键
     */
    @TableField("good_no_id")
    private Integer goodNoId;

    /**
     * 资产状态0-空闲 1-在用 2-维护 3-报废
     */
    @TableField("good_state")
    private Integer goodState;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getGoodId() {
        return goodId;
    }

    public void setGoodId(Integer goodId) {
        this.goodId = goodId;
    }

    public Integer getGoodNoId() {
        return goodNoId;
    }

    public void setGoodNoId(Integer goodNoId) {
        this.goodNoId = goodNoId;
    }

    public Integer getGoodState() {
        return goodState;
    }

    public void setGoodState(Integer goodState) {
        this.goodState = goodState;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "OperateRecord{" +
        "id=" + id +
        ", modelNo=" + modelNo +
        ", userId=" + userId +
        ", userName=" + userName +
        ", indate=" + indate +
        ", content=" + content +
        ", goodId=" + goodId +
        ", goodNoId=" + goodNoId +
        ", goodState=" + goodState +
        "}";
    }
}
